# $Revision: 1.16 $, $Date: 2002/08/04 23:17:28 $
%include	/usr/lib/rpm/macros.python

%define		module	pygame

Summary:	Python modules designed for writing games
Summary(pl):	Moduy Pythona dla piszcych gry
Name:		python-%{module}
Version:	1.5
Release:	1
License:	LGPL
Group:		Libraries/Python
Source0:	http://www.pygame.org/ftp/pygame-%{version}.tar.gz
URL:		http://www.pygame.org/
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	python-numpy-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_ttf-devel >= 2.0
BuildRequires:	smpeg-devel
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pygame is a set of Python modules designed for writing games. It is
written on top of the excellent SDL library. This allows you to create
fully featured games and multimedia programs in the python language.
The package is highly portable, with games running on Windows, NT4,
MacOS, OSX, BeOS, FreeBSD, IRIX, and Linux.

%description -l pl
Pygame jest zbiorem moduw Pythona zaprojektowanych do pisania gier.
Moduy zostay napisane na bazie wspaniaej biblioteki SDL. Dziki
temu moliwe jest tworzenie bogatych w multimedia gier w jzyku
Python.

%package devel
Summary:	C header files for pygame modules
Summary(pl):	Pliki nagwkowe jzyka C moduw pygame
Group:		Development/Languages/Python
%pyrequires_eq	python
Requires:	%{name} = %{version}

%description devel
C header files for pygame modules.

%description devel -l pl
Pliki nagwkowe jzyka C moduw pygame.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{rpmcflags} -I%{_prefix}/X11R6/include/smpeg"; export CFLAGS
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

python setup.py install \
	--root=$RPM_BUILD_ROOT

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc WHATSNEW docs/*
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.ttf
%attr(755,root,root) %{py_sitedir}/%{module}/*.so
%{py_sitedir}/%{module}/*.py[co]

%files devel
%defattr(644,root,root,755)
%{py_incdir}/%{module}
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: python-pygame.spec,v $
Revision 1.16  2002/08/04 23:17:28  marcus
- updated to 1.5

Revision 1.15  2002/06/27 09:46:48  kloczek
- release 7: again rebuild in corrected enviroment.

Revision 1.14  2002/05/21 20:55:07  kloczek
- release 6,
- rebuild against SDL_ttf >= 2.0 and use new %doc packing infrastructure.

Revision 1.13  2002/04/13 17:34:01  kloczek
- rebuild against pythin 2.2.1.

Revision 1.12  2002/04/11 13:57:52  wrobell
- rel. 5, stb

Revision 1.11  2002/04/11 13:45:34  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.10  2002/03/20 18:10:58  filon
- move contents of examples dir, not that dir itself
- release 4

Revision 1.9  2002/03/19 14:06:39  filon
- really removed exampes from docs :-)
- release 3

Revision 1.8  2002/03/18 07:14:12  wrobell
- main package group changed to Libraries/Python
- rel. 2
- stb

Revision 1.7  2002/03/17 22:07:52  filon
- updated to 1.4
- moved examples to devel package to _examplesdir

Revision 1.6  2002/02/23 04:25:51  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/06 09:05:12  kloczek
- adapterized.

Revision 1.3  2002/02/04 03:22:48  kloczek
- release 2: rebuild against python 2.2 and adapterize spec file.

Revision 1.2  2002/01/26 09:38:44  kloczek
- cosmetics.

Revision 1.1  2002/01/25 23:03:59  misiek
- initial pld release
